/*
 * chrdevapi.h
 *
 *  Created on: Jun 15, 2017
 *      Author: yoel-tu
 */

#ifndef CHRDEVAPI_H_
#define CHRDEVAPI_H_


/******************************** IOCTLs Structs Definition ***************************************/
/* Structure for MVC_IOCS_CREATE_DMA_LIST ioctl
 * user must allocate it in this way:
 * malloc(sizeof(struct mvc_create_dmalist_request) + num_buffers*sizeof(struct mvc_buffer_descriptor))
 */
struct get_mem_chunk_request
{
    unsigned int channel ;
    unsigned int direction ;
    unsigned int num_buffers ;
    struct mvc_buffer_descriptor buffers[];
};
/************************************ IOCTLs Definition *******************************************/
#define CHDV_IOC_MAGIC 						'm'

#define CHDV_IOCS_GET_KERNEL_MEM_CHUNK         _IOW(MVC_IOC_MAGIC, 1, struct mvc_create_dmalist_request)

#endif /* CHRDEVAPI_H_ */
